Dadhi driver preventing yum update on Centos_x64 5.9

I just ran a routine “yum update” on my CentOS_x64 5.9 server and got an error related to the dahdi-linux driver and the new kernel that is preventing it from completing.

[root@sip /]# yum update
Loaded plugins: fastestmirror, kmod
Loading mirror speeds from cached hostfile

  • addons: mirrors.coreix.net
  • base: mirrors.coreix.net
  • extras: mirror.ox.ac.uk
  • updates: ftp.heanet.ie
    Setting up Update Process
    Resolving Dependencies
    –> Running transaction check
    —> Package httpd.i386 0:2.2.3-82.el5.centos set to be updated
    —> Package httpd-devel.i386 0:2.2.3-82.el5.centos set to be updated
    —> Package kernel.i686 0:2.6.18-348.16.1.el5 set to be installed
    —> Package kernel-devel.i686 0:2.6.18-348.16.1.el5 set to be installed
    —> Package kernel-headers.i386 0:2.6.18-348.16.1.el5 set to be updated
    —> Package mod_ssl.i386 1:2.2.3-82.el5.centos set to be updated
    –> Finished Dependency Resolution
    Excluding to be erased: kernel-2.6.18-348.2.1.el5.i686
    –> Running transaction check
    —> Package kernel.i686 0:2.6.18-348.2.1.el5 set to be erased
    —> Package kernel-devel.i686 0:2.6.18-348.2.1.el5 set to be erased
    –> Finished Dependency Resolution

Dependencies Resolved

==================================================================================================================
Package Arch Version Repository Size

Installing:
kernel i686 2.6.18-348.16.1.el5 updates 20 M
kernel-devel i686 2.6.18-348.16.1.el5 updates 5.9 M
Updating:
httpd i386 2.2.3-82.el5.centos updates 1.2 M
httpd-devel i386 2.2.3-82.el5.centos updates 155 k
kernel-headers i386 2.6.18-348.16.1.el5 updates 1.4 M
mod_ssl i386 1:2.2.3-82.el5.centos updates 97 k
Removing:
kernel i686 2.6.18-348.2.1.el5 installed 49 M
kernel-devel i686 2.6.18-348.2.1.el5 installed 16 M

Transaction Summary

Install 2 Package(s)
Upgrade 4 Package(s)
Remove 2 Package(s)
Reinstall 0 Package(s)
Downgrade 0 Package(s)

Total size: 29 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
kernel-i686 is needed by (installed) kmod-dahdi-linux-fwload-vpmadt032-2.6.1-1_centos5.2.6.18_308.24.1.el5.i686
kernel-i686 is needed by (installed) kmod-dahdi-linux-2.6.1-1_centos5.2.6.18_308.24.1.el5.i686
Complete!
(1, [u’Please report this error in [bugs.centos.org/yum5bug’](http://bugs.centos.org/yum5bug’)])
[root@sip /]#

I reported it at bugs.centos.org as instructed but they quickly closed the ticket saying it was related to the dahdi drivers and not to a CentOS package.

Is this the right place to report this ?

What can be done to get past this problem ?

Here is the reply from the centos bugzilla.


(0017887) range (administrator) - 2013-08-27 14:55
bugs.centos.org/view.php?id=6631#c17887

That is not a CentOS package. Please tell the maintainer to update his kmod
package to reflect the new kernel in CentOS 5.

Issue History
Date Modified Username Field Change

2013-08-27 14:49 myUser New Issue
2013-08-27 14:49 myUserAssigned To => xxxxxxxxxxxx
2013-08-27 14:55 range Note Added: 0017887
2013-08-27 14:55 range Status new => closed

Howdy,

Can you open an issue here - issues.asterisk.org/jira/browse/ANOW

so we can track it as a package issue?